Bug 593851 - Review Request: clide - Color and style highlighting program for text
Summary: Review Request: clide - Color and style highlighting program for text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 20:31 UTC by Richard Fearn
Modified: 2010-08-06 19:56 UTC (History)
4 users (show)

Fixed In Version: clide-0.9-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-13 07:26:41 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Richard Fearn 2010-05-19 20:31:41 UTC
Spec URL: http://richardfearn.fedorapeople.org/clide/0.9-1/clide.spec
SRPM URL: http://richardfearn.fedorapeople.org/clide/0.9-1/clide-0.9-1.fc12.src.rpm

Description:

clide is a program that will colorize ASCII text on the command line using ANSI escape sequences and user defined and predefined expressions. Searches can include Perl Compatible Regular Expressions.

There are no rpmlint warnings or errors for the source and binary RPMs.

Comment 1 Martin Gieseking 2010-05-31 16:42:40 UTC
Hi Richard,

here are a couple of quick comments:

- according to COPYING and the script header, the license seems to be GPLv3+, not GPLv2+

- drop LICENSE from %doc and ask upstream to remove it from the tarball, as it refers to GPLv2

- add a short comment above Patch0 telling what the patch does

- prefix the patch name with clide-, e.g. clide-makefile.patch

- The manpage should not be compressed by the installer because rpm does it automatically. Thus, remove the gzip line from the Makefile

- replace %{_mandir}/man1/clide.1.gz with %{_mandir}/man1/clide.1*

Comment 2 Richard Fearn 2010-06-01 09:23:56 UTC
Martin - thanks for the feedback. All good suggestions. Regarding the licence, however - I have contacted Mark, the author of clide, to get clarification on the licence. I have assumed for now that it's GPLv2+.

Comment 3 Richard Fearn 2010-06-07 20:31:19 UTC
Here's a new version which takes into account all of Martin's suggestions from comment 1:

Spec URL: http://richardfearn.fedorapeople.org/clide/0.9-2/clide.spec
SRPM URL:
http://richardfearn.fedorapeople.org/clide/0.9-2/clide-0.9-2.fc13.src.rpm

Upstream confirmed that clide is GPLv3+.

The spec file, source RPM and binary RPM are all free of rpmlint warnings and errors.

I also spotted an error with the Makefile patch: it was removing the doc file installation from the wrong Makefile target ("install", which isn't invoked, instead of "rpminstall").

Comment 4 Martin Gieseking 2010-06-08 18:28:43 UTC
Richard, the package looks almost fine to me. I suggest to explicitly assign values to BINDIR and MANDIR in "make rpminstall", e.g.
  make BINDIR=%{buildroot}%{_bindir} \
       MANDIR=%{buildroot}%{_mandir}/man1 \
       rpminstall  
to ensure the files will be installed in the proper (rpm-defined) directories.

Comment 5 Richard Fearn 2010-06-08 18:44:21 UTC
> Richard, the package looks almost fine to me. I suggest to explicitly assign
> values to BINDIR and MANDIR in "make rpminstall", e.g.
>   make BINDIR=%{buildroot}%{_bindir} \
>        MANDIR=%{buildroot}%{_mandir}/man1 \
>        rpminstall  
> to ensure the files will be installed in the proper (rpm-defined) directories.    

Good suggestion - given that the "rpminstall" target only uses BINDIR/MANDIR*, it certainly makes things clearer.

* I remove the doc file install (which uses DOCDIR) in clide-Makefile.patch.

New spec/SRPM:

http://richardfearn.fedorapeople.org/clide/0.9-3/clide.spec
http://richardfearn.fedorapeople.org/clide/0.9-3/clide-0.9-3.fc13.src.rpm

Thanks!

Comment 6 Martin Gieseking 2010-06-11 15:36:59 UTC
Hi Richard,

here's the formal review of clide. The package looks fine now, so we can finish here.

$ rpmlint /var/lib/mock/fedora-13-x86_64/result/*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3+

[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum clide-0.9.tar.gz*
    f578b8c5f1b7f81c7280fcb549ca93c8  clide-0.9.tar.gz
    f578b8c5f1b7f81c7280fcb549ca93c8  clide-0.9.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - noarch package builds fine

[.] MUST: If the package does not successfully compile, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly. 
    - no locales

[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix ...
[.] MUST: devel packages must require the base package ...
[+] MUST: Packages must NOT contain any .la libtool archives
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
    - no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) ...
[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock 
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - noarch package

[+] SHOULD: The reviewer should test that the package functions as described.
    - seems to work as expected

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[+] SHOULD: your package should contain man pages for binaries/scripts. 

----------------
Package APPROVED
----------------

Comment 7 Richard Fearn 2010-06-11 17:36:05 UTC
Thanks Martin!

New Package CVS Request
=======================
Package Name: clide
Short Description: Color and style highlighting program for text
Owners: richardfearn
Branches: F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-06-14 04:42:13 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-06-16 20:37:53 UTC
clide-0.9-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/clide-0.9-3.fc12

Comment 10 Fedora Update System 2010-06-16 20:37:58 UTC
clide-0.9-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/clide-0.9-3.fc13

Comment 11 Fedora Update System 2010-06-21 13:05:33 UTC
clide-0.9-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clide'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/clide-0.9-3.fc12

Comment 12 Fedora Update System 2010-06-21 13:05:39 UTC
clide-0.9-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update clide'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/clide-0.9-3.fc13

Comment 13 Fedora Update System 2010-07-13 07:26:36 UTC
clide-0.9-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-07-13 07:46:12 UTC
clide-0.9-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Richard Fearn 2010-07-18 22:30:31 UTC
Package Change Request
======================
Package Name: clide
New Branches: EL-5 EL-6
Owners: richardfearn

Comment 16 Kevin Fenzi 2010-07-19 04:44:23 UTC
CVS done (by process-cvs-requests.py).

Comment 17 Fedora Update System 2010-07-19 18:14:38 UTC
clide-0.9-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/clide-0.9-3.el5

Comment 18 Fedora Update System 2010-08-06 19:55:59 UTC
clide-0.9-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.